## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:           zcfan
Version:        1.4.0
Release:        %autorelease
Summary:        Zero-configuration fan daemon for ThinkPads

License:        MIT
URL:            https://github.com/cdown/zcfan
Source:         %{url}/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  systemd-rpm-macros

ExclusiveArch:  x86_64

%description
zcfan is a zero-configuration fan control daemon for ThinkPads.

%prep
%autosetup

%build
%set_build_flags
%make_build prefix=%{_prefix}

%install
%make_install DESTDIR=%{buildroot} prefix=%{_prefix}

%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service

%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_unitdir}/%{name}.service

%changelog
## START: Generated by rpmautospec
* Fri Jul 25 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Sun Feb 09 2025 ireka <ira@amegilla.net> - 1.4.0-3
- Set a correct path to zcfan binary in systemd service

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Tue Dec 31 2024 Michel Lind <salimma@fedoraproject.org> - 1.4.0-1
- Update to 1.4.0 upstream release
- Resolves: rhbz#2334766

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Mar 04 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.0-2
- Mark zcfan.service as conflicting with thinkfan.service

* Mon Mar 04 2024 Michel Lind <salimma@fedoraproject.org> - 1.3.0-1
- Update to 1.3.0 (rhbz#2267149)

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 13 2022 Michel Alexandre Salim <salimma@fedoraproject.org> - 1.2.1-1
- Update to 1.2.1

* Thu Aug 04 2022 Michel Alexandre Salim <michel@michel-slm.name> - 1.2.0-1
- Update to 1.2.0

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Sat Jul 09 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1.1.1-1
- Update to 1.1.1

* Wed Apr 06 2022 Davide Cavalca <dcavalca@fedoraproject.org> - 1.1.0-1
- Initial import; Fixes: RHBZ#2072634
## END: Generated by rpmautospec
